Subject: RE: [PATCH net-next 1/3] net: txgbe: expend SW-FW mailbox buffer size to identify QSFP module

From: Jiawen Wu <[email-masked]>
Date: Sat, 11 Oct 2025 09:57:24 +0800

On Fri, Oct 10, 2025 9:53 PM, Andrew Lunn wrote:
> On Fri, Oct 10, 2025 at 03:42:00PM +0800, Jiawen Wu wrote:
> > On Mon, Sep 29, 2025 9:52 PM, Simon Horman wrote:
> > > On Sun, Sep 28, 2025 at 05:39:21PM +0800, Jiawen Wu wrote:
> > > > In order to identify 40G and 100G QSFP modules, expend mailbox buffer
> > > > size to store more information read from the firmware.
> > >
> > > Hi,
> > >
> > > I see that the message size is increased by 4 bytes,
> > > including two new one-byte fields.
> > > But I don't see how that is used by this patchset.
> > > Could you expand on this a little?
> >
> > It is used for QSFP modules, I haven't added the part of these modules yet.
> > But the firmware was changed. So when using the new firmware, the module
> > cannot be identified due to incorrect length of mailbox buffer.
> 
> And with old firmware? Can you tell the end of the message has not
> been filled in with old firmware?

The old firmware has not been released to the public, so there is no need
to worry about the compatibility on the old firmware.